GNU bug report logs - #24528
24.5; XLFD font specification ignore empty style preference.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Oleksandr Gavenko <gavenkoa@HIDDEN>; Keywords: moreinfo; dated Sat, 24 Sep 2016 17:39:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24528 <at> debbugs.gnu.org:


Received: (at 24528) by debbugs.gnu.org; 17 Nov 2019 07:16:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 02:16:51 2019
Received: from localhost ([127.0.0.1]:40097 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWEnj-0004Nw-Eq
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 02:16:51 -0500
Received: from quimby.gnus.org ([95.216.78.240]:43580)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iWEnh-0004I2-Ag
 for 24528 <at> debbugs.gnu.org; Sun, 17 Nov 2019 02:16:49 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iWEnY-0004Ny-A9; Sun, 17 Nov 2019 08:16:42 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Oleksandr Gavenko <gavenkoa@HIDDEN>
Subject: Re: bug#24528: 24.5; XLFD font specification ignore empty style
 preference.
References: <87k2e12o8r.fsf@HIDDEN>
Date: Sun, 17 Nov 2019 08:16:39 +0100
In-Reply-To: <87k2e12o8r.fsf@HIDDEN> (Oleksandr Gavenko's
 message of "Sat, 24 Sep 2016 20:37:08 +0300")
Message-ID: <87tv73c6qw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Oleksandr Gavenko <gavenkoa@HIDDEN> writes: > I have 2
 server side fonts: > >
 -misc-fixed-medium-r-normal--13-120-75-75-c-120-iso10646-1
 > -misc-fixed-medium-r-normal-ja-13-120-75-75-c-120-iso10646-1 > > When I
 run: > > (set-frame-font "-misc-* [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 24528
Cc: 24528 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Oleksandr Gavenko <gavenkoa@HIDDEN> writes:

> I have 2 server side fonts:
>
>   -misc-fixed-medium-r-normal--13-120-75-75-c-120-iso10646-1
>   -misc-fixed-medium-r-normal-ja-13-120-75-75-c-120-iso10646-1
>
> When I run:
>
>   (set-frame-font "-misc-*-*-*-*--13-*-*-*-*-*-*-*")
>
> unfortunately next font selected:
>
>   -misc-fixed-medium-r-normal-ja-13-120-75-75-c-120-iso10646-1
>
>   /usr/share/fonts/X11/misc/12x13ja.pcf.gz
>
> which looks very ugly.

(This bug report unfortunately got no feedback at the time.)

If I (on this Debian system) tries

(set-frame-font "-misc-*-*-*-*--13-*-*-*-*-*-*-*")

I get

    x:-misc-fixed-medium-r-normal--13-120-75-75-c-80-koi8-r (#x2D)

If I say

(set-frame-font "-misc-*-*-*-*-ja-13-*-*-*-*-*-*-*")

I get

    x:-misc-fixed-medium-r-normal-ja-13-120-75-75-c-120-iso10646-1 (#x2A)

So I don't seem to be able to reproduce this error, but that may be
because I don't have the same fonts installed as you have.  On the other
hand, there's been some changes in the font handling in Emacs since the
bug was reported.

Are you still seeing this problem in Emacs 27?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24528; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Sep 2016 17:38:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 13:38:29 2016
Received: from localhost ([127.0.0.1]:34706 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bnquC-0006X9-RI
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 13:38:29 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44824)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gavenkoa@HIDDEN>) id 1bnquB-0006Wy-9S
 for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 13:38:27 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gavenkoa@HIDDEN>) id 1bnqu5-0007mB-03
 for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 13:38:22 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.5 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 RCVD_IN_SORBS_SPAM,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:33163)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gavenkoa@HIDDEN>) id 1bnqu4-0007lz-Sa
 for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 13:38:20 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:35790)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gavenkoa@HIDDEN>) id 1bnqu2-0005ZC-Gj
 for bug-gnu-emacs@HIDDEN; Sat, 24 Sep 2016 13:38:19 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gavenkoa@HIDDEN>) id 1bnqtw-0007lC-FO
 for bug-gnu-emacs@HIDDEN; Sat, 24 Sep 2016 13:38:17 -0400
Received: from mail-lf0-f42.google.com ([209.85.215.42]:36771)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gavenkoa@HIDDEN>) id 1bnqtw-0007kc-6w
 for bug-gnu-emacs@HIDDEN; Sat, 24 Sep 2016 13:38:12 -0400
Received: by mail-lf0-f42.google.com with SMTP id g62so113128389lfe.3
 for <bug-gnu-emacs@HIDDEN>; Sat, 24 Sep 2016 10:38:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version;
 bh=onJfh7b4G9vcm/9RC5nMB3YWvmywod/w/IhIMupGmfY=;
 b=yQHbPMUBxONMfTro1Y4z4L9ptOpX4Z8uxRUMctgs81PXuhyNu1TFCl5FH4u5zdK/8r
 u3eZI8OxttwjvuUn8vOcz6peyFx+0sdmfw6bWb7VZS4xaHcJ5gC7qfNVsGXdzFVR7RqO
 ft6uiuYb0zX8mxKMkT/A7hP3sVts4j33mEllTxdTFV0lz07B8lpZZnh3XI7PmOKELOAs
 AoSYWZ5j09E62zXL28Db38yeQkuE44qoT2ravvsF8zxwdhQ30PXx4vh8JIrB1gDhvb6k
 IGd41mm/6n5VvsB2/8vvJlWLG7QSpnoxX3ZDEwCPfHXe/qrkrvRFKSEd2AlQfxGk71W/
 X82w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=onJfh7b4G9vcm/9RC5nMB3YWvmywod/w/IhIMupGmfY=;
 b=aK6/TNYGI3KgztQjsZNyz6J01fLYpFQzt7BdGEyYXfFwlpngLhIi2LS7jEXDnU6AvR
 dx61S9x3lRVAmnmtaS10SKxL06ONYdQ32CwI3cAzNJx6c2HzelifsuSlsZOfONvD9FLR
 0LZC8AyrDNSByJuQ12vm1L6BQ3/PKKswpSBXWiK3X0U49WKoxP9wna3EEDAK3T8rVd+t
 NUffbMFRBRLG6uur5xroVy+a83IClZ/S3rAE6kFn0VB3MIaga15FUROd7NDj+khSOb7D
 6Y9VIJ8Zoz/M+Q+C+LO5vq/RQ/S8OUB2tvEQHC4huXt+12OGEAp4YLjm5XNN4KRxBOp7
 3SXg==
X-Gm-Message-State: AE9vXwP60LUyYJqU9WuOzy3w0vm0eyDVeIZs6E4+yr6q9q5f+MlYpRmuKGwFSRR+KT3jrg==
X-Received: by 10.25.135.130 with SMTP id j124mr4102780lfd.178.1474738630551; 
 Sat, 24 Sep 2016 10:37:10 -0700 (PDT)
Received: from desktop ([46.185.21.165])
 by smtp.gmail.com with ESMTPSA id 202sm2239008ljf.33.2016.09.24.10.37.09
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 24 Sep 2016 10:37:09 -0700 (PDT)
From: Oleksandr Gavenko <gavenkoa@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.5; XLFD font specification ignore empty style preference.
Date: Sat, 24 Sep 2016 20:37:08 +0300
Message-ID: <87k2e12o8r.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

I have 2 server side fonts:

  -misc-fixed-medium-r-normal--13-120-75-75-c-120-iso10646-1
  -misc-fixed-medium-r-normal-ja-13-120-75-75-c-120-iso10646-1

When I run:

  (set-frame-font "-misc-*-*-*-*--13-*-*-*-*-*-*-*")

unfortunately next font selected:

  -misc-fixed-medium-r-normal-ja-13-120-75-75-c-120-iso10646-1

  /usr/share/fonts/X11/misc/12x13ja.pcf.gz

which looks very ugly.

In GNU Emacs 24.5.1 (x86_64-pc-linux-gnu, GTK+ Version 3.21.5)
 of 2016-09-05 on trouble, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11803000
System Description:	Debian GNU/Linux testing (stretch)

Configured using:
 `configure --build x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp
 --build x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp
 --with-x=yes --with-x-toolkit=gtk3 --with-toolkit-scroll-bars 'CFLAGS=-g -O2
 -fdebug-prefix-map=/build/emacs24-24.5+1=. -fstack-protector-strong -Wformat
 -Werror=format-security -Wall' 'CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=2'
 LDFLAGS=-Wl,-z,relro'

-- 
http://defun.work/




Acknowledgement sent to Oleksandr Gavenko <gavenkoa@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24528; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.